# Data for Sehara et al., the real-time DeepLabCut project

The data repository for Sehara et al., the real-time DeepLabCut (Pose-Trigger) project.

![Acquisition setup](setup.png)

(The image is licensed under CC-BY 4.0, 2020 Keisuke Sehara)

The head-fixed mouse was allowed to whisk freely under infrared illumination.
The behavior of the mouse was captured from the above, using the ImagingSource DMK37BUX287 camera.

The [Pose-Trigger](https://github.com/gwappa/python-posetrigger) program was used
to capture images and to generate output triggers.

## Datasets

- [Raw videos](https://gin.g-node.org/larkumlab/RealtimeDLC_RawVideos): the raw videos acquired using [Pose-Trigger](https://github.com/gwappa/python-posetrigger). The files are converted to HDF5 files (instead of the original NumPy files).
- [Spike2 recordings](https://gin.g-node.org/larkumlab/RealtimeDLC_Spike2Recordings): recordings of the frame and trigger signals during Pose-Trigger acquisition, using Spike2. The files are converted to HDF5 files (instead of the original `.smrx` files).
- [DeepLabCut projects](https://gin.g-node.org/larkumlab/RealtimeDLC_DLCProjects): the [DeepLabCut (v2.1)](https://github.com/DeepLabCut/DeepLabCut/releases/tag/v2.0.8) projects used in the study.
- [_Post hoc_ pose estimation](https://gin.g-node.org/larkumlab/RealtimeDLC_PostHocEstimations): the _post-hoc_ pose-estimation data to be compared with the real-time data. The files are in the HDF5 format (in the structure different from the "original" PyTables format that DeepLabCut generates).
- [Performance profiling](https://gin.g-node.org/larkumlab/RealtimeDLC_PerformanceProfiling): the data and analytical procedures (and some figures) used to profile the speed and accuracy of Pose-Trigger.

## License

Copyright (c) 2020 Keisuke Sehara, Paul Zimmer-Harwood, Matthew E. Larkum, and Robert N.S. Sachdev, [Creative Commons Attribution 4.0 International (CC BY 4.0)](https://creativecommons.org/licenses/by/4.0/).